Loading...
Searching...
No Matches
GaussianMixture.h File Reference

A hybrid conditional in the Conditional Linear Gaussian scheme. More...

Go to the source code of this file.

## Classes

class | gtsam::GaussianMixture
| A conditional of gaussian mixtures indexed by discrete variables, as part of a Bayes Network. More...
struct | gtsam::traits< GaussianMixture >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

std::set< DiscreteKey > | gtsam::DiscreteKeysAsSet (const DiscreteKeys &discreteKeys)
| Return the DiscreteKey vector as a set.

## Detailed Description

A hybrid conditional in the Conditional Linear Gaussian scheme.

Author
  Fan Jiang
  Varun Agrawal

Date
  Mar 12, 2022